Bug 166774 - Anaconda crashes at "Installing Bootloader..." on Kickstart install using SATA
Anaconda crashes at "Installing Bootloader..." on Kickstart install using SATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-08-25 11:40 EDT by Simon (Dumbfind)
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-06 11:24:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kickstart file sans password (1.02 KB, text/plain)
2005-08-25 11:40 EDT, Simon (Dumbfind)
no flags Details
Current KS file (1.46 KB, text/plain)
2005-08-30 17:58 EDT, Simon (Dumbfind)
no flags Details

  None (edit)
Description Simon (Dumbfind) 2005-08-25 11:40:44 EDT
Description of problem:

Anaconda crashes at the "Installing Bootloader..." stage of kickstart installs
using SATA disks.

File "/usr/bin/anaconda", line 1160 in ? intf.run(id, dispatch)
File "/usr/lib/anaconda/text.py", line 496 in run dispatch.gotoNext()
File "/usr/lib/anaconda/dispatch.py", line 174 in gotoNext self moveStep()
File "/usr/lib/anaconda/dispatch.py", line 242 in moveStep rc =apply(func,
File "/usr/lib/anaconda/bootloader.py", line 172, in writeBootLoader
justConfigFile, intf)
File "/usr/lib/booty/bootloaderInfo.py", line 1140 in write justConfig | ( not
File "/usr/lib/booty/bootloaderInfo.py", line 846 in writeGrub f.write("(%s)
/dev/%s\n" % (self.grubbyDiskName(drive),
File "/usr/lib/booty/bootloaderInfo.py", line 934 in grubbyDiskName return
"hd%d" % drivelist.index(name)
ValueError: list.index(x): x not in list

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot server with PXE
2. Feed it attached kickstart file
3. Wait for it to be -almost- done.
Actual results:
Anaconda crashes

Expected results:
Grub is installed.

Additional info:

The line in bootloader.py:
 return "hd%d" % drives.index(name)
is interesting, but I do not know whether patching it is a possible solution, or
how to patch it.
Comment 1 Simon (Dumbfind) 2005-08-25 11:40:44 EDT
Created attachment 118112 [details]
Kickstart file sans password
Comment 2 Simon (Dumbfind) 2005-08-25 16:33:47 EDT
I have found a workaround, commenting out "--driveorder=sda" results in no crashes, although I am 
uncertain of why.
Comment 3 Jeremy Katz 2005-08-30 14:37:43 EDT
Can you provide the complete traceback?  What do the drives in your system show
up as?
Comment 4 Simon (Dumbfind) 2005-08-30 17:58:37 EDT
Created attachment 118266 [details]
Current KS file

Strangely, when reverted to the old Kickstart file, I did not get the same
error. The install just froze. I have attached my current, working ks file,
which is very similar.

My servers are dual-Opteron and have 2x120gb and 2x80gb, all SATA barracudas,
that show up as sda through sdd
Comment 5 Jeremy Katz 2005-09-06 11:08:28 EDT
Still need the traceback...
Comment 6 Simon (Dumbfind) 2005-09-06 11:10:37 EDT
I am no longer able to duplicate the bug due to changes in other parts of the PXE configuration used on 
site. The original bug report contains everything that Anaconda spat out.
Comment 7 Jeremy Katz 2005-09-06 11:24:48 EDT
The full traceback contains a lot more information including things like the
syslog so that we can see what and how hardware is detected along with various
data structures used by the installer.

Note You need to log in before you can comment on or make changes to this bug.